Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
OpenRoast ebuild for Gentoo
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
depontius
Advocate
Advocate


Joined: 05 May 2004
Posts: 3383

PostPosted: Sat Feb 16, 2019 8:47 pm    Post subject: OpenRoast ebuild for Gentoo Reply with quote

Is anyone aware of an ebuild for OpenRoast on one of the many overlays?

OpenRoast is controller software for coffee roasting. It's Open Source software, though the primary platforms are Windows and Mac. From what I can see it appears to be Python-3.5, which while deprecated on Gentoo, can still be built. A few searches so far have found nothing.

I haven't roasted any of my own coffee beans, but I'm thinking about trying it out.
_________________
.sigs waste space and bandwidth
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 21712
Location: here

PostPosted: Sun Feb 17, 2019 8:47 am    Post subject: Reply with quote

The main problem is the dependencies of OpenRoast package
Code:
    install_requires=['PyQt5>=5.8,<5.9',
                      'matplotlib>=2.0,<2.1',
                      'freshroastsr700>=0.2.1'],

The version of <PyQt-5.9 and <matplotlib-2.1 are no longer in tree.
Anyway possible ebuilds
app-misc/openroast-1.2.1:
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python3_6 )

if [[ ${PV} == "9999" ]] ; then
    inherit git-r3 distutils-r1
    EGIT_REPO_URI="https://github.com/Roastero/${PN}.git"
else
    inherit distutils-r1
    SRC_URI="https://github.com/Roastero/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
    KEYWORDS="~amd64 ~x86"
fi

DESCRIPTION="Openroast is an open source, cross-platform application for home coffee roasting"
HOMEPAGE="https://github.com/Roastero/Openroast"

LICENSE="GPL-3"
SLOT="0"
IUSE=""

RDEPEND=">dev-python/freshroastsr700-0.2.1[${PYTHON_USEDEP}]
    <dev-python/PyQt5-5.9[${PYTHON_USEDEP}]
    <dev-python/matplotlib-2.1[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}"

S="${WORKDIR}/${PN^}-${PV}"


dev-python/freshroastsr700-0.2.4:
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python{2_7,3_6} )

if [[ ${PV} == "9999" ]] ; then
        inherit git-r3 distutils-r1
        EGIT_REPO_URI="https://github.com/Roastero/${PN}.git"
else
        inherit distutils-r1
        SRC_URI="https://github.com/Roastero/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
        KEYWORDS="~amd64 ~x86"
fi

DESCRIPTION="A Python module to control a FreshRoastSR700 coffee roaster"
HOMEPAGE="https://github.com/Roastero/freshroastsr700"

LICENSE="MIT"
SLOT="0"
IUSE=""

_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
depontius
Advocate
Advocate


Joined: 05 May 2004
Posts: 3383

PostPosted: Sun Feb 17, 2019 11:06 am    Post subject: Reply with quote

Thank you for looking at this. I hadn't started down this path yet, wondering first if I'd find something off-the-shelf. Nor have I bought the roaster yet - I'm still in the decision stage. It's a bit disheartening to see the "premier software" so behind the curve on its dependencies.
_________________
.sigs waste space and bandwidth
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum